# vim: set sw=4 ts=4 et:
# Copyright (c) 2009-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%define soname  4

Name:           ffmpegthumbnailer
Summary:        Lightweight video thumbnailer that can be used by file managers
Version:        2.0.6
Release:        0.pm.2.3
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Graphics/Viewers
Url:            http://code.google.com/p/ffmpegthumbnailer/
# http://ffmpegthumbnailer.googlecode.com/files/%{name}-%{version}.tar.gz
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glib2-devel
BuildRequires:  gcc-c++
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libsndfile-devel

%description
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

The project also includes a C/C++ library that can be used by
developers to generate thumbnails in their projects.

%package -n lib%{name}%{soname}
Summary:        Shared libraries for ffmpegthumbnailer
Group:          System/Libraries
Provides:       lib%{name}3 = 1.5.6
Obsoletes:      lib%{name}3 < 1.5.6

%description -n lib%{name}%{soname}
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

The project also includes a C/C++ library that can be used by
developers to generate thumbnails in their projects.

%package -n lib%{name}-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Languages/C and C++
Requires:       libffmpegthumbnailer%{soname} = %{version}-%{release}
Requires:       libffmpeg-devel
Requires:       libpng-devel
Requires:       libjpeg-devel

%description -n lib%{name}-devel
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

The project also includes a C/C++ library that can be used by
developers to generate thumbnails in their projects.



%prep
%setup -q -n %{name}-%{version}
%__chmod 644 AUTHORS README COPYING ChangeLog

%build
export SUSE_ASNEEDED=0
#export FFMPEG_CFLAGS
#export FFMPEG_LIBS
export CPPFLAGS="$RPM_OPT_FLAGS -D__STDC_CONSTANT_MACROS"
export CXXFLAGS="$RPM_OPT_FLAGS -D__STDC_CONSTANT_MACROS"
export CFLAGS="$RPM_OPT_FLAGS -D__STDC_CONSTANT_MACROS"
%configure \
    --enable-gio
%__make %{?jobs:-j%jobs}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/libffmpegthumbnailer.a
%__rm %{buildroot}%{_libdir}/libffmpegthumbnailer.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%doc %{_mandir}/man1/*.1%{ext_man}
%{_bindir}/%{name}

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{soname}
%{_libdir}/lib%{name}.so.%{soname}.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/lib%{name}.so
%dir %{_includedir}/lib%{name}
%{_includedir}/lib%{name}/*.h
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Wed Mar  2 2011 pascal.bleser@opensuse.org
- update to 2.0.6:
  * fixes memory leaks
* Mon Dec 13 2010 pascal.bleser@opensuse.org
- update to 2.0.5:
  * replaced deprecate gnome-vfs with gio (--enable-gio)
* Sun Aug 15 2010 toni@links2linux.de
- update to 2.0.4
- Fixed undefined references when compiling with certain LDFLAGS
- Writing to stdout is now supported
- Support for gnome-vfs uris added. New configure flag (--enable-gnome-vfs),
  this puts a runtime dependancy on libgnome-vfs-2.0
* Tue Jul 20 2010 pascal.bleser@opensuse.org
- update to 2.0.2
* Tue Apr 27 2010 toni@links2linux.de
- update to 2.0.1
  * Setting the thumbnail size to 0 will use the original video size (thanks to John Fremlin)
  * Fix for video files containing lots of audio packets before a video packet
  * Fixed libs in pkgconfig file (thanks to magnus.tuominen)
* Sat Jan  9 2010 toni@links2linux.de
- update to 2.0.0
- new SOname ==> libffmpegthumbnailer4
* Fri Dec 25 2009 toni@links2linux.de
- update to 1.5.6
* Tue Sep 22 2009 Manfred.Tremmel@iiv.de
- update to 1.5.5
* Mon Jun 22 2009 toni@links2linux.de
- update to 1.5.4
* Mon Jun 15 2009 toni@links2linux.de
- update to 1.5.3
* Sun May 24 2009 toni@links2linux.de
- update to 1.5.2
- new SO-Name ==> libffmpegthumbnailer3
* Fri May 15 2009 toni@links2linux.de
- initial package 1.5.1
